package com.steerinfo.ems.tpmcase.service;
import com.steerinfo.ems.tpmcase.model.TPmCase;
import com.steerinfo.framework.service.IBaseService;

import java.util.Set;

/**
 * @author 李日量
 * @Date 2019/10/10 9:53
 * @Copyright 湖南视拓信息技术股份有限公司
 */
public interface TPmCaseService extends IBaseService<TPmCase,String> {

    Set<TPmCase> getIdAndName();
    
    /**
     * 获取默认计划方案
     * 
     * @return
     */
    TPmCase getTPmCaseDef();
    
    /**
     * 获取计划项目的计划方案
     * 
     * @return
     */
    TPmCase getTPmCaseByItemId(String itemid, String timegranid);
}
